curl --request GET \
--url https://int-data.moneydesktop.com/merchant_locations/{merchant_location_guid} \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/merchant_locations/{merchant_location_guid}"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/merchant_locations/{merchant_location_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant_location": {
"city": "Staten Island",
"country": "United States",
"created_at": "2021-10-05T23:35:19+00:00",
"guid": "MCL-c51b9d25-9733-4def-8929-2d5bb1b2b9f1",
"latitude": 40.5710098,
"longitude": -74.1097041,
"merchant_guid": "MCH-adb8a6ab-5e96-c4ef-22b3-beb0e7a79b3c",
"phone_number": "(917) 426-0321",
"postal_code": "10306",
"region_code": "NY",
"street_address": "2475 Hylan Blvd",
"updated_at": "2021-10-05T23:35:19+00:00"
}
}Read merchant location
merchant_location_guid can be found on transaction objects.Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for the merchant. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
The city in which the merchant is located.
"Staten Island"
The country in which the merchant is located.
"United States"
Date and time the merchant location was created, represented in ISO 8601 format with timestamp (e.g., 2015-04-13T12:01:23-00:00).
"2021-10-05T23:35:19+00:00"
The unique identifier for the merchant location. Defined by MX.
"MCL-c51b9d25-9733-4def-8929-2d5bb1b2b9f1"
The latitude of the merchant location. This number is a signed decimal (e.g., Rio de Janeiro's latitude is -22.9027800 and Tokyo's latitude is 35.689488).
40.5710098
The longitude of the merchant location. This number is a signed decimal (e.g., Rio de Janeiro's longitude is -43.2075000 and Tokyo's longitude is 139.691706).
-74.1097041
The unique identifier for the merchant to which this location belongs. Defined by MX.
"MCH-adb8a6ab-5e96-c4ef-22b3-beb0e7a79b3c"
The phone number for the merchant location.
"(917) 426-0321"
The postal code in which the merchant is located.
"10306"
The region in which the merchant is located; e.g., a U.S. state code such as UT.
"NY"
The street address at which the merchant is located.
"2475 Hylan Blvd"
Date and time the merchant record was updated, represented in ISO 8601 format with timestamp (e.g., 2015-04-13T12:01:23-00:00).
"2021-10-05T23:35:19+00:00"

